
QGIS Application - Bug report #17852

Duplicate feature (redigitized) actions enabled for non-editable layers

2018-01-15 05:38 AM - Nyall Dawson

Status: Closed

Priority: High

Assignee: David Signer

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25747

Description

The new Duplicate Feature and Duplicate Feature (Redigitized) actions are enabled for non-editable map layers (even read-only layers).

This is dangerous because the action bypasses the edit buffer and directly edits an underlying data source.

History

#1 - 2018-01-19 08:19 PM - Denis Rouzaud

- Assignee set to David Signer

- Category set to Actions

#2 - 2018-03-15 02:34 PM - David Signer

- Status changed from Open to Closed
